package com.sheep.gamegroup.model.entity;

import java.io.Serializable;

/**
 * Created by ljy on 2018/5/10.
 */

public class TaskChild implements Serializable {
    private String BeginTime;//1525147200,
    private String Order;//1,
    private String EndTime;//1530115200,
    private String Desc;//"<p>阿斯顿发射的发</p>",
    private String Amount;//1,
    private String Id;//8,
    private String task_id;//161,
    private String Time;//0,
    private String Name;//"212312311111111",
    private int TaskType;//
    /*
    1、 任务未开启时——即将开启
2、 任务未领取时——可领取
3、 任务已领取待完成时——进行中
4、 任务已提交待审核——待审核
5、 任务审核通过——已完成
6、 任务审核失败——审核失败
7、任务已过期未完成——已过期
     */
    private int status;//

    public int getStatus() {
        return status;
    }

    public void setStatus(int status) {
        this.status = status;
    }

    public String getBeginTime() {
        return BeginTime;
    }

    public void setBeginTime(String beginTime) {
        BeginTime = beginTime;
    }

    public String getOrder() {
        return Order;
    }

    public void setOrder(String order) {
        Order = order;
    }

    public String getEndTime() {
        return EndTime;
    }

    public void setEndTime(String endTime) {
        EndTime = endTime;
    }

    public String getDesc() {
        return Desc;
    }

    public void setDesc(String desc) {
        Desc = desc;
    }

    public String getAmount() {
        return Amount;
    }

    public void setAmount(String amount) {
        Amount = amount;
    }

    public String getId() {
        return Id;
    }

    public void setId(String id) {
        Id = id;
    }

    public String getTask_id() {
        return task_id;
    }

    public void setTask_id(String task_id) {
        this.task_id = task_id;
    }

    public String getTime() {
        return Time;
    }

    public void setTime(String time) {
        Time = time;
    }

    public String getName() {
        return Name;
    }

    public void setName(String name) {
        Name = name;
    }

    public int getTaskType() {
        return TaskType;
    }

    public void setTaskType(int taskType) {
        TaskType = taskType;
    }
}
